Package org.springframework.web.server.handler

# Class WebHandlerDecorator

java.lang.Object
org.springframework.web.server.handler.WebHandlerDecorator

All Implemented Interfaces:
  `WebHandler`

Direct Known Subclasses:
  `ExceptionHandlingWebHandler`, `FilteringWebHandler`, `HttpWebHandlerAdapter`

public class WebHandlerDecorator extends Object implements WebHandler
`WebHandler` that decorates and delegates to another `WebHandler`.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`WebHandlerDecorator(WebHandler delegate)`
Create a `WebHandlerDecorator` for the given delegate.

## Method Summary

Modifier and Type
Method
Description
`WebHandler`
`getDelegate()`
Return the wrapped delegate.
`reactor.core.publisher.Mono<Void>`
`handle(ServerWebExchange exchange)`
Handle the web server exchange.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WebHandlerDecorator

public WebHandlerDecorator(WebHandler delegate)
Create a `WebHandlerDecorator` for the given delegate.

Parameters:
  `delegate` - the WebHandler delegate

## Method Details

### getDelegate

public WebHandler getDelegate()
Return the wrapped delegate.

### handle

public reactor.core.publisher.Mono<Void> handle(ServerWebExchange exchange)
Description copied from interface: `WebHandler`
Handle the web server exchange.

Specified by:
  `handle` in interface `WebHandler`
Parameters:
  `exchange` - the current server exchange
Returns:
  `Mono<Void>` to indicate when request handling is complete

### toString

public String toString()

Overrides:
  `toString` in class `Object`